Bug 964188 - Resize of a Logical Volume deactivates it.
Resize of a Logical Volume deactivates it.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mulhern
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 09:00 EDT by Jan Safranek
Modified: 2014-03-06 11:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-06 11:40:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2013-05-17 09:00:19 EDT
If I resize active logical volume using blivet, it leaves the volume deactivated.

I can see in blivet log:

    INFO:blivet: executing action: [0] Resize Device (Grow) lvmlv test-1 (id 7)
    DEBUG:blivet:             LVMLogicalVolumeDevice.resize: test-1 ; status: True ;
    DEBUG:blivet:                LVMLogicalVolumeDevice.teardown: test-1 ; status: True ; controllable: True ;
    INFO:program: Running... udevadm settle --timeout=300
    DEBUG:program: Return code: 0
    DEBUG:blivet:                 LVMLogicalVolumeDevice._teardown: test-1 ; status: True ; controllable: True ;
--> INFO:program: Running... lvm lvchange -a n test/1
    DEBUG:program: Return code: 0
    DEBUG:blivet:               LVMVolumeGroupDevice.setupParents: kids: 1 ; name: test ; orig: True ;
    DEBUG:blivet:                PartitionDevice.setup: sdb1 ; status: True ; controllable: True ; orig: True ;
    DEBUG:blivet:                LVMPhysicalVolume.setup: device: /dev/sdb1 ; status: False ; type: lvmpv ;
    DEBUG:blivet:              LVMVolumeGroupDevice.setupParents: kids: 1 ; name: test ; orig: True ;
    DEBUG:blivet:               PartitionDevice.setup: sdb1 ; status: True ; controllable: True ; orig: True ;
    DEBUG:blivet:               LVMPhysicalVolume.setup: device: /dev/sdb1 ; status: False ; type: lvmpv ;
    INFO:program: Running... udevadm settle --timeout=300
    DEBUG:program: Return code: 0
--> INFO:program: Running... lvm lvresize --force -L 60m test/1
    INFO:program: File descriptor 10 (/dev/mapper/control) leaked on lvm invocation. Parent PID 10520: /usr/bin/python
    INFO:program: File descriptor 13 (/dev/null) leaked on lvm invocation. Parent PID 10520: /usr/bin/python
    INFO:program:   Extending logical volume 1 to 60.00 MiB
    INFO:program:   Logical volume 1 successfully resized
    DEBUG:program: Return code: 0
    INFO:program: Running... udevadm settle --timeout=300
    DEBUG:program: Return code: 0

Version-Release number of selected component (if applicable):
python-blivet-0.13-1.fc20.noarch

How reproducible:
always

Steps to Reproduce:
Use this script ('b' is Blivet instance, 'blivet' is the blivet module):

lv = b.lvs[0]
action = blivet.deviceaction.ActionResizeDevice(lv, 60)
b.devicetree.registerAction(action)
b.devicetree.processActions(dryRun=False)
Comment 1 mulhern 2014-02-26 13:12:15 EST
I can not reproduce.

Please verify that it still occurs in current version and if it does...please be as specific as possible about initial lvm setup.

Thanks!

- mulhern
Comment 2 mulhern 2014-03-06 11:40:40 EST
Probably fixed by bz#1064898 fix.

Note You need to log in before you can comment on or make changes to this bug.